Bug 587344 - [abrt] crash in seahorse-plugins-2.30.1-1.fc13: Process /usr/bin/seahorse-agent was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in seahorse-plugins-2.30.1-1.fc13: Process /usr/bin/seahorse-age...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: seahorse-plugins
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2493260d3fb2352bed08024d59b...
: 603381 619705 650020 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-29 16:28 UTC by James Laska
Modified: 2013-09-02 06:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:57:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (16.41 KB, text/plain)
2010-04-29 16:28 UTC, James Laska
no flags Details

Description James Laska 2010-04-29 16:28:22 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/seahorse-agent --variables
comment: Right clicking on cached passphrase notification icon results in a crash
component: seahorse-plugins
executable: /usr/bin/seahorse-agent
global_uuid: 2493260d3fb2352bed08024d59b6090700e4950c
kernel: 2.6.33.2-57.fc13.x86_64
package: seahorse-plugins-2.30.1-1.fc13
rating: 4
reason: Process /usr/bin/seahorse-agent was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Install seahorse-plugins
2. Run seahorse-preferences 
  * select a default key (other than None)
  * select "Always remember my passphrases whenever logged in"
  * select "Ask me before using cached passphrase"
  * select "Show icon in status area"
3. Open evolution (configured to send signed mail)
4. Send a message
5. Look in gnome-panel and observe icon in status area for cached passphrase
6. Right click on icon for cached passphrase

Crash!

Comment 1 James Laska 2010-04-29 16:28:24 UTC
Created attachment 410161 [details]
File: backtrace

Comment 2 James 2010-06-01 15:48:45 UTC
Package: seahorse-plugins-2.30.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Right-click on keyring icon in notification area.

Comment 3 Kevin L. Mitchell 2010-06-02 00:49:38 UTC
Package: seahorse-plugins-2.30.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I had sent email, which stored my GPG pass phrase in the key ring.  I clicked on the icon in the bar--to see what options were available--and it crashed.

Comment 4 James 2010-07-06 23:16:28 UTC
Any progress on getting this fixed? It's over 2 months old now.

Comment 5 James 2010-10-25 19:34:35 UTC
This is a crasher that seriously hampers Seahorse's usefulness for the rest of the session, is there any word on getting it fixed?

Comment 6 James 2010-10-25 19:45:58 UTC
In fact it's still present in seahorse-2.32.0-1 (built from source on F13), can the release version be updated and hopefully this'll be resolved before F14 is released?

Note: this is also being tracked on the GNOME Bugzilla at https://bugzilla.gnome.org/show_bug.cgi?id=618056

Comment 7 Karel Klíč 2010-11-09 14:22:47 UTC
*** Bug 603381 has been marked as a duplicate of this bug. ***

Comment 8 Karel Klíč 2010-11-09 14:22:52 UTC
*** Bug 619705 has been marked as a duplicate of this bug. ***

Comment 9 Karel Klíč 2010-11-09 14:22:57 UTC
*** Bug 650020 has been marked as a duplicate of this bug. ***

Comment 10 Daniel Stripes 2010-11-13 03:06:37 UTC
Package: seahorse-plugins-2.30.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Right-clicked the icon on the Gnome panel.

Comment 11 Bug Zapper 2011-06-02 14:43:22 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2011-06-27 15:57:47 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.